# Delete banking asset Delete a banking asset previously registered with the Pismo platform This endpoint generates an [Asset status changed](https://developers.pismo.io/events/docs/assets-asset-status-change-1) event. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "Banking - Assets", "version": "1.0.0", "description": "API to handle banking assets operations and management", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/assets-accrual", "description": "Sandbox API server for testing" }, { "url": "https://sandbox.pismolabs.io/assets-accrual", "description": "Sandbox API for oauth2" }, { "url": "https://api.pismolabs.io/assets-accrual", "description": "API server for production" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Assets", "description": "Asset endpoints" } ], "components": { "parameters": { "AssetID": { "name": "asset_id", "in": "path", "description": "Client assigned asset ID. Must consist of the characters [a-z,A-Z,0-9,-,:] with a range from 1 to 128.\n", "required": true, "schema": { "type": "string" }, "example": "2345" }, "CorrelationID": { "in": "header", "name": "x-cid", "schema": { "type": "string" }, "description": "The Correlation IDentifier field is used to link related API requests and events. The x-cid can help the Pismo engineering team track everything related to a call. You can find the x-cid field in the response header from an API endpoint call.\n\nIf this field isn't passed, one is automatically generated.\n", "example": "5bb05174-4e80-11ea-b77f-2e728ce88125" }, "IssuerID": { "name": "issuer_id", "in": "path", "required": true, "description": "Issuer ID. For more information, refer to [issuer identification number](https://www.investopedia.com/terms/i/issuer-identification-number-iin.asp)", "schema": { "type": "string" }, "example": "24" } }, "schemas": { "AccrualFrequency": { "type": "string", "description": "Accrual frequency:\n* `daily` — Accrual for assets daily\n* `monthly` — Accrual for assets monthly\n", "enum": [ "daily", "monthly" ], "example": "daily" }, "AdditionalData": { "title": "AdditionalData", "example": { "early_redemption_attributes": [ { "date": "2021-02-01", "interest_rate": 1.09, "floating_rate": 1.18 }, { "date": "2021-03-01", "interest_rate": 100000000000001.1, "floating_rate": 1.15 } ] }, "type": "object", "properties": { "early_redemption_attributes": { "type": "array", "items": { "$ref": "#/components/schemas/EarlyRedemptionAttribute" } } } }, "Asset": { "type": "object", "example": { "asset_id": "2334c547-c3f6-4d83-a933-16a3835a0065", "asset_type": "cdb", "issuer_id": "12345678", "registration_mode": "single", "issuing_date": "2021-01-10", "maturity_date": "2022-03-10", "created_at": "2023-03-30T12:26:41", "updated_at": "2023-03-30T12:26:41", "issued_units": 1000, "unit_value": 9.99, "customer_type": "natural", "customer_name": "Helen Wheels", "document_number": "12345678901", "deposit_number": "998-878-090", "early_redemption_terms": "market", "index_type": "di", "index_rate": 1, "status": "ACTIVE", "currency": "986", "interest_rate": 0.1, "additional_data": { "early_redemption_attributes": [ { "date": "2021-05-20", "interest_rate": 0.04, "floating_rate": 1.12345678 }, { "date": "2021-12-01", "interest_rate": 1.12345678, "floating_rate": 1.12345678 } ] }, "accrual_frequency": "daily" }, "properties": { "asset_id": { "$ref": "#/components/schemas/AssetID" }, "asset_type": { "$ref": "#/components/schemas/AssetType" }, "registration_mode": { "$ref": "#/components/schemas/RegistrationMode" }, "issuing_date": { "$ref": "#/components/schemas/IssuingDate" }, "maturity_date": { "$ref": "#/components/schemas/MaturityDate" }, "issued_units": { "$ref": "#/components/schemas/IssuedUnits" }, "unit_value": { "$ref": "#/components/schemas/UnitValue" }, "index_type": { "$ref": "#/components/schemas/IndexType" }, "index_rate": { "$ref": "#/components/schemas/IndexRate" }, "currency": { "$ref": "#/components/schemas/Currency" }, "status": { "$ref": "#/components/schemas/Status" }, "issuer_id": { "$ref": "#/components/schemas/IssuerID" }, "created_at": { "$ref": "#/components/schemas/CreatedAt" }, "updated_at": { "$ref": "#/components/schemas/UpdatedAt" }, "interest_rate": { "$ref": "#/components/schemas/InterestRate" }, "additional_data": { "$ref": "#/components/schemas/AdditionalData" }, "external_id": { "$ref": "#/components/schemas/ExternalID" }, "accrual_frequency": { "$ref": "#/components/schemas/AccrualFrequency" } }, "required": [ "asset_id", "registration_mode", "asset_type", "issuing_date", "maturity_date", "issued_units", "unit_value", "index_type", "index_rate", "customer_type", "customer_name", "document_number", "deposit_number", "early_redemption_terms", "currency" ] }, "AssetID": { "type": "string", "description": "Asset ID. This ID is client-generated. It must be between 1 and 128 characters long and consist of only the characters [a-z,A-Z,0-9,-,:].", "minLength": 1, "maxLength": 128, "example": "6ea8094b-73ba-4737-93ad-370c27c54813" }, "AssetType": { "type": "string", "description": "Asset type, `cdb` (certificate of deposit) or `rdb` (bank deposit receipt)", "enum": [ "cdb", "rdb" ], "example": "cdb" }, "CreatedAt": { "type": "string", "description": "Date/time (UTC) asset registered on Pismo platform", "example": "2023-03-30T12:26:41" }, "Currency": { "type": "string", "description": "1SO 4217 currency code", "example": "986" }, "Date": { "type": "string", "description": "Redemption date, format = yyyy/mm/dd.", "example": "2023/03/22" }, "EarlyRedemptionAttribute": { "title": "EarlyRedemptionAttribute", "example": { "date": "2021-02-01", "interest_rate": 1.09, "floating_rate": 1.18 }, "type": "object", "properties": { "date": { "$ref": "#/components/schemas/Date" }, "interest_rate": { "$ref": "#/components/schemas/InterestRate" }, "floating_rate": { "$ref": "#/components/schemas/FloatingRate" } } }, "ExternalID": { "type": "string", "description": "Client-provided external asset ID. No longer than 128 alphanumeric characters.", "example": "93830-FFFF-84940", "minLength": 0, "maxLength": 128 }, "FloatingRate": { "type": "number", "format": "double", "description": "Floating rate", "example": 2.33 }, "IndexRate": { "type": "number", "format": "double", "description": "Index rate", "example": 2 }, "IndexType": { "type": "string", "description": "Index type:\n* `di` — DI rate is the average rate of interbank transactions carried out through interbank certificates of deposits. It is calculated based on fixed interbank deposits transactions settled within one business day.\n* `ipca` — The Extended National Consumer Price Index (IPCA) is the reference for the Brazilian inflation-targeting system. The Banco Central do Brasil (BCB) works to ensure that the IPCA's annual inflation is centered at the inflation target set by the National Monetary Council (CMN). The IPCA is also the price index of the National Treasury's Notes Series B (NTN-B). \n* `pre` — Use when there is a tax defined for the asset.\n", "enum": [ "di", "pre", "ipca" ], "example": "pre" }, "InterestRate": { "type": "number", "format": "double", "description": "Interest rate", "example": 2.3 }, "IssuerID": { "type": "string", "description": "Issuer ID. For more information, see [issuer identification number](https://www.investopedia.com/terms/i/issuer-identification-number-iin.asp)\n", "example": "98400-0-0d" }, "IssuingDate": { "type": "string", "description": "Issuing date, format = yyyy/mm/dd.", "example": "2023/03/22" }, "IssuedUnits": { "type": "integer", "format": "int32", "description": "Number of issued units", "example": 10 }, "MaturityDate": { "type": "string", "description": "Asset maturity date, format = yyyy/mm/dd.", "example": "2023/03/22" }, "RegistrationMode": { "type": "string", "description": "Registration mode — `single` or `many`", "enum": [ "single", "many" ], "example": "single" }, "Status": { "type": "string", "description": "Asset status", "enum": [ "ACTIVE", "BLOCKED", "PENDING", "CANCELED", "COMPLETED", "REDEEMED" ], "example": "ACTIVE" }, "UnitValue": { "type": "number", "format": "double", "description": "Per unit value", "example": 65.56 }, "UpdatedAt": { "type": "string", "description": "Date/time (UTC) asset last updated on Pismo platform", "example": "2023-03-30T12:26:41" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "401Unauthorized": { "description": "Unauthorized" }, "500InternalServerError": { "description": "Internal server error" }, "404NotFound": { "description": "Not found" } } }, "paths": { "/v1/issuer/{issuer_id}/assets/{asset_id}": { "delete": { "summary": "Delete banking asset", "description": "Delete a banking asset previously registered with the Pismo platform\n\nThis endpoint generates an [Asset status changed](https://developers.pismo.io/events/docs/assets-asset-status-change-1) event.\n", "tags": [ "Assets" ], "operationId": "AssetCancellation", "parameters": [ { "$ref": "#/components/parameters/CorrelationID" }, { "$ref": "#/components/parameters/IssuerID" }, { "$ref": "#/components/parameters/AssetID" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Asset" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```